clmresidue(1)

NAME
clmresidue - extend clustering of subgraph to clustering of graph.

SYNOPSIS
clmresidue -icl fname (input clustering) -imx fname (input graph) [-rpm fname (residue projection matrix)] [--adapt (allow domain mismatch)] [-mvp fname (majority vote projection (clustering))]

DESCRIPTION
The cluster file presumably contains a clustering of a subgraph of the graph G contained by the matrix file, implying that the row domain of that clustering is a subset of the node domain of the graph. clmresidue will compute a simple upwards projection of that clustering, resulting in a clustering of G.

OPTIONS
The name for the file in which the residue projection matrix is stored. It contains for each node and for each cluster in the input clustering the combined weight of the (edges to the) neighbours of that node in that cluster. The default output file name is out.rpm.
The name for the file in which the majority vote projection clustering is stored. Aka the majority vote projection clustering storage file name. This embodies a very crude approach to distributing the missing nodes in the input clustering onto that same cluster. For each node, the cluster is taken for which the residue projection is the largest (see above). The residue (i.e. the set of missing nodes) is initially viewed as a cluster; the set of nodes for which the projection is largest for the residue itself will form a new cluster, if it is not empty. The default output file name is out.mvp.
Allow the clustering domain to contain nodes not present in the graph domain. clmresidue will take the appropriate subclustering.

AUTHOR
Stijn van Dongen.

SEE ALSO
mclfamily(7) for an overview of all the documentation and the utilities in the mcl family.